このページは福井県立大学の田中求之が2006年1月まで運用していた Mac のサーバ運用に関する会議室 「Web Scripter's Meeting」の記録です。情報が古くなっている可能性がありますのでご注意ください。

お助け下さい:Webstar realm & EasybbsEX2 セキュリティ

発言者:たなかあつこ
( Date Tuesday, August 08, 2000 14:35:00 )


 いつもお世話になっております。
 Webstar 4.2 のrealm 機能と EasyBBS EX2 との組み合わせで、メンバー限定のBBSを2ヶ月ほど運用しています。

 たまたま気づいた、恐怖体験の対策についてお尋ねします。

 外に漏れたら困るためにBBSをrealmで守って、メンバー限定で運用していますが、たまたまHDに残っていたNetScape4.01aでふとBBSのURLを見てみると、IDとパスワードを聞くこ
ともなく素通しで、realmで示したディレクトリのファイルをのぞけることが分かりました。
 (NetScape3.04でも同じでした。)

 どうにかして、realmに対応できないブラウザを排除したいのですが、方法はあるでしょう
か?WebStarのマニュアルやその他を調べてみても、対応ブラウザといった記述をまだ見つけら
れないでいます。
 Analogで解析した結果を見ると、結構皆さん古いブラウザを使っているようで、恐ろしさに
震えています。


   106:  6.89%:   528: 10.23%:     0:       : Mozilla/4.0 (compatible; MSIE 4.01; Windows 98)
    70:  4.55%:   256:  4.96%:     0:       : Mozilla/4.0 (compatible; MSIE 5.0; Windows 98; DigExt)
    52:  3.38%:   215:  4.16%:     0:       : Mozilla/4.04 [ja] (Macintosh; I; PPC, Nav)
    56:  3.64%:   209:  4.05%:     0:       : Mozilla/4.04 [ja] (Win95; I ;Nav)
    89:  5.78%:   201:  3.89%:     0:       : Mozilla/4.0 (compatible; MSIE 5.01; Windows 98)
      2:  0.13%:   131:  2.54%:     0:       : Mozilla/3.01 (compatible;)
    57:  3.70%:   125:  2.42%:     0:       : Mozilla/3.01 [ja] (Macintosh; I; PPC)

田中求之 さんからのコメント
( Tuesday, August 08, 2000 23:56:11 )

>どうにかして、realmに対応できないブラウザを排除したいのですが、方法はあるでしょう
>か?

基本的に、Netscape や Explorer は古いバージョンでも Realm に対応してい
ます。古いバージョンだからと行って REALM を素通りするということはない
ですよ。

ですから、もし Realm が働かなかったとしたら、Realm の設定がおかしい可
能性を疑った方がよいかもしれません。

たまちゃん さんからのコメント
( Wednesday, August 09, 2000 01:10:51 )

>外に漏れたら困るためにBBSをrealmで守って、メンバー限定で運用しています

限定で運用ということですが,まさか realm に対して Allow でアクセスの
許可を与えているということはありませんよね?